using System;
using System.Linq;

public class HelloWorld
{
   
    public static void Main(string[] args)
    {
        int a = int.Parse(Console.ReadLine());
        int [] niz1 = new int [a];
        int [] niz2 = new int[a];
        int L;
        int R;
        int[,] matrix = new int [a,a];
        string[] brojevi1 = Console.ReadLine().Split();
        string[] brojevi2 = Console.ReadLine().Split();
        for (int i=0; i<a; i++)
        {
         niz1[i] = int.Parse(brojevi1[i]);
         niz2[i] = int.Parse(brojevi2[i]);
        }
        for(int i =0; i<a;i++)
        {
            for(int j=i;j<a;j++)
            {
                R=j;
                L=i;
                if (i==j)  
                matrix[i,j]= niz1[i]*niz2[j];
                else matrix [i,j] = Izracunaj(niz1,niz2,L,R);
            }
        }
        int max= matrix.Cast<int>().Max();
        Console.WriteLine(max);
    }
    static int Izracunaj(int[] A, int[] B, int L, int R)
    {
        int xorRezultat = A[L];
        for (int i=L+1;i<=R;i++)
        {
            xorRezultat ^= A[i];
        }

        int andRezultat = B[L];
        for (int i=L+1;i<=R; i++)
        {
            andRezultat &= B[i];
        }

        return xorRezultat * andRezultat;
    }
}